import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { TopicDrawComponent } from './topic-draw/topic-draw.component';

const routes: Routes = [
  {path: 'topic', component: TopicDrawComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [TopicDrawComponent],
  exports: [
    RouterModule
  ]
})
export class ExamDrawModule {
}
