import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ExamInterviewEntranceComponent } from './exam-interview-entrance/exam-interview-entrance.component';
import { ExamInterviewEntranceBatchComponent } from './exam-interview-entrance-batch/exam-interview-entrance-batch.component';
import { ExamInterviewEntranceBatchDetailComponent } from './exam-interview-entrance-batch-detail/exam-interview-entrance-batch-detail.component';

const routes: Routes = [
  {path: 'interview', component: ExamInterviewEntranceComponent},
  {path: 'interviewbatch', component: ExamInterviewEntranceBatchComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [ExamInterviewEntranceBatchDetailComponent],
  declarations: [ExamInterviewEntranceComponent, ExamInterviewEntranceBatchComponent, ExamInterviewEntranceBatchDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ExamEntranceModule {
}
