import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { TopicPageComponent } from './topic-page/topic-page.component';
import { TopicStdShowComponent } from './topic-std-show/topic-std-show.component';

const routes: Routes = [
  {path: 'page', component: TopicPageComponent},
  {path: 'show', component: TopicStdShowComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [TopicPageComponent, TopicStdShowComponent],
  exports: [
    RouterModule
  ]
})
export class ExamTopicModule {
}
