import {Component, OnInit, Type} from '@angular/core';
import {FramePageComponent} from "../../core/page/frame.page";
import {BsModalService} from "ngx-bootstrap/modal";
import {FrameDeptDetailComponent} from "../frame-dept-detail/frame-dept-detail.component";
import {FrameDeptTreeComponent} from "../frame-dept-tree/frame-dept-tree.component";

@Component({
  selector: 'app-frame-dept-page',
  templateUrl: './frame-dept-page.component.html',
  styleUrls: ['./frame-dept-page.component.scss']
})
export class FrameDeptPageComponent extends FramePageComponent implements OnInit {

  FrameDeptTreeComponent: Type<FrameDeptTreeComponent> = FrameDeptTreeComponent;

  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = FrameDeptDetailComponent;
  }

  ngOnInit() {
  }

}
