import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from "../../../shared/shared.module";
import {FrameModulePageComponent} from "./frame-module-page/frame-module-page.component";
import {FrameModuleDetailComponent} from "./frame-module-detail/frame-module-detail.component";

const routes: Routes = [
  {path: 'page', component: FrameModulePageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [FrameModulePageComponent, FrameModuleDetailComponent],
  entryComponents: [],
  exports: [
    RouterModule
  ]
})
export class FrameModuleModule {
}
