import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from "../../../shared/shared.module";
import {FrameOptrPageComponent} from './frame-optr-page/frame-optr-page.component';
import {FrameOptrRoleComponent} from './frame-optr-role/frame-optr-role.component';
import {FrameOptrCreateComponent} from './frame-optr-create/frame-optr-create.component';
import {FrameOptrModifyComponent} from './frame-optr-modify/frame-optr-modify.component';

const routes: Routes = [
  {path: 'page', component: FrameOptrPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [FrameOptrPageComponent, FrameOptrRoleComponent, FrameOptrCreateComponent, FrameOptrModifyComponent],
  entryComponents: [],
  exports: [
    RouterModule
  ]
})
export class FrameOptrModule {
}
