import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from "../../../shared/shared.module";
import { PayBillPageComponent } from './pay-bill-page/pay-bill-page.component';
import { PayBillDetailComponent } from './pay-bill-detail/pay-bill-detail.component';
import { PayBillReportChannelComponent } from './pay-bill-report-channel/pay-bill-report-channel.component';
import { PayBillReportDateComponent } from './pay-bill-report-date/pay-bill-report-date.component';
import { PayBillReportBatchComponent } from './pay-bill-report-batch/pay-bill-report-batch.component';

const routes: Routes = [
  {path: 'page', component: PayBillPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [PayBillPageComponent, PayBillDetailComponent, PayBillReportChannelComponent, PayBillReportDateComponent, PayBillReportBatchComponent],
  entryComponents: [],
  exports: [
    RouterModule
  ]
})
export class HmpayBillModule {
}
