import { Component, OnInit } from '@angular/core';
import {FramePageComponent} from "../../../frame/core/page/frame.page";
import {BsModalService} from "ngx-bootstrap/modal";
import {PayBillDetailComponent} from "../pay-bill-detail/pay-bill-detail.component";
import {PayBillReportChannelComponent} from "../pay-bill-report-channel/pay-bill-report-channel.component";
import {PayBillReportDateComponent} from "../pay-bill-report-date/pay-bill-report-date.component";
import { PayBillReportBatchComponent } from '../pay-bill-report-batch/pay-bill-report-batch.component';

@Component({
  selector: 'app-pay-bill-page',
  templateUrl: './pay-bill-page.component.html',
  styleUrls: ['./pay-bill-page.component.scss']
})
export class PayBillPageComponent  extends FramePageComponent implements OnInit {

  PayBillReportChannelComponent = PayBillReportChannelComponent;
  PayBillReportDateComponent = PayBillReportDateComponent;
  PayBillReportBatchComponent = PayBillReportBatchComponent;
  
  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = PayBillDetailComponent;
  }

  ngOnInit() {
  }


}
