import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ConfProvincePageComponent } from './conf-province-page/conf-province-page.component';
import { ConfProvinceDetailComponent } from './conf-province-detail/conf-province-detail.component';

const routes: Routes = [
  {path: 'page', component: ConfProvincePageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [ConfProvinceDetailComponent],
  declarations: [ ConfProvincePageComponent, ConfProvinceDetailComponent],
  exports: [
    RouterModule
  ]
})

export class ConfProvinceModule {
}
