import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { LayoutAgentPageComponent } from './layout-agent-page/layout-agent-page.component';
import { LayoutAgentDetailComponent } from './layout-agent-detail/layout-agent-detail.component';

const routes: Routes = [
  {path: 'page', component: LayoutAgentPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [LayoutAgentDetailComponent],
  declarations: [ LayoutAgentPageComponent, LayoutAgentDetailComponent],
  exports: [
    RouterModule
  ]
})
export class LayoutAgentModule {
}
