import {Component, OnInit} from '@angular/core';
import {FrameOptrRoleComponent} from "../frame-optr-role/frame-optr-role.component";
import {BsModalService} from "ngx-bootstrap/modal";
import {FramePageComponent} from "../../core/page/frame.page";
import {FrameOptrModifyComponent} from "../frame-optr-modify/frame-optr-modify.component";
import {FrameOptrCreateComponent} from "../frame-optr-create/frame-optr-create.component";
import {FrameOptrPasswordComponent} from "../frame-optr-password/frame-optr-password.component";

@Component({
  selector: 'app-frame-optr-page',
  templateUrl: './frame-optr-page.component.html',
  styleUrls: ['./frame-optr-page.component.scss']
})
export class FrameOptrPageComponent extends FramePageComponent implements OnInit {
  // 创建操作员
  FrameOptrCreateComponent = FrameOptrCreateComponent;
  // 修改操作员
  FrameOptrModifyComponent = FrameOptrModifyComponent;
  // 操作员权限列表
  FrameOptrRoleComponent = FrameOptrRoleComponent;
  // 修改操作员密码
  FrameOptrPasswordComponent = FrameOptrPasswordComponent;

  constructor(private modalService: BsModalService) {
    super(modalService);
  }

  ngOnInit() {
  }

}
